%define module rtl8187se
%define version 1016.20080716
%define card Realtek RTL8187se WiFi cards

%define distname rtl8187se_linux_26.1016.0716.2008

Summary: dkms package for %{module} driver
Name: dkms-%{module}
Version: %{version}
Release: %mkrel 1
# From https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/246141
Source0: http://launchpadlibrarian.net/16098501/%{distname}.tar.gz
Source1: dkms-rtl8187se-semaphore-header-removal.patch
Source2: dkms-rtl8187se-wext_compat.patch
Patch: dkms-r8187se-makedrv.patch
License: GPLv2
Group: System/Kernel and hardware
URL: http://www.realtek.com.tw
Requires(preun): dkms
Requires(post): dkms
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildArch: noarch

%description
This package contains the %{module} driver for
%{card}.

%prep
%setup -q -n %{distname}
%patch -p1

# Remove not needed source files
rm -f debug_notes ifcfg-wlan0 makecln RadioPower.sh \
      wlan0dhcp wlan0down wlan0up wpa_supplicant-0.5.5.zip
rm -f {ieee80211,rtl8185}/{Module.symvers,tags}
rm -rf {ieee80211,rtl8185}/.tmp_versions

# Fix permissions
chmod 644 readme release_note
find ieee80211 -type f -exec chmod 644 {} \;
find rtl8185 -type f -exec chmod 644 {} \;

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/usr/src/%{module}-%{version}-%{release}/patches
cat > %{buildroot}/usr/src/%{module}-%{version}-%{release}/dkms.conf <<EOF
PACKAGE_NAME=%{module}
PACKAGE_VERSION=%{version}-%{release}

DEST_MODULE_LOCATION[0]=/kernel/drivers/net/wireless
BUILT_MODULE_NAME[0]=r8180
BUILT_MODULE_LOCATION[0]=rtl8185

DEST_MODULE_LOCATION[1]=/kernel/net/ieee80211
BUILT_MODULE_NAME[1]=ieee80211_crypt_ccmp-rtl
BUILT_MODULE_LOCATION[1]=ieee80211

DEST_MODULE_LOCATION[2]=/kernel/net/ieee80211
BUILT_MODULE_NAME[2]=ieee80211_crypt_tkip-rtl
BUILT_MODULE_LOCATION[2]=ieee80211

DEST_MODULE_LOCATION[3]=/kernel/net/ieee80211
BUILT_MODULE_NAME[3]=ieee80211_crypt-rtl
BUILT_MODULE_LOCATION[3]=ieee80211

DEST_MODULE_LOCATION[4]=/kernel/net/ieee80211
BUILT_MODULE_NAME[4]=ieee80211_crypt_wep-rtl
BUILT_MODULE_LOCATION[4]=ieee80211

DEST_MODULE_LOCATION[5]=/kernel/net/ieee80211
BUILT_MODULE_NAME[5]=ieee80211-rtl
BUILT_MODULE_LOCATION[5]=ieee80211

MAKE[0]="/bin/sh makedrv \$kernel_source_dir"
CLEAN="make -C ieee80211 clean; make -C rtl8185 clean"
AUTOINSTALL="yes"

PATCH[0]="dkms-rtl8187se-semaphore-header-removal.patch"
PATCH_MATCH[0]="^2\.6\.(2[7-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
PATCH[1]="dkms-rtl8187se-wext_compat.patch"
PATCH_MATCH[1]="^2\.6\.(2[7-9])|([3-9][0-9]+)|([1-9][0-9][0-9]+)"
EOF

tar c . | tar x -C %{buildroot}/usr/src/%{module}-%{version}-%{release}/

for p in %{_sourcedir}/dkms-rtl8187se-semaphore-header-removal.patch \
         %{_sourcedir}/dkms-rtl8187se-wext_compat.patch;
do
	cp $p $RPM_BUILD_ROOT/usr/src/%module-%version-%release/patches
done

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
/usr/src/%{module}-%{version}-%{release}/

%post -n dkms-%{module}
# Override default MandrivaLinux modules dir (ADDON_MODULES_DIR), otherwise
# ieee* modules will conflict with the ones already present in-kernel
export ADDON_MODULES_DIR=/extra
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}-%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}-%{release}
exit 0

%preun -n dkms-%{module}
export ADDON_MODULES_DIR=/extra
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}-%{release} --all
exit 0


%changelog
* Wed Sep 17 2008 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 1016.20080716-1mdv2009.0
+ Revision: 285544
- import dkms-rtl8187se


